- Look for new-style xulrunner pkg-config files.

This commit is contained in:
Matthew Barnes 2008-01-08 21:55:18 +00:00
parent 94abe44c32
commit cd6ec20d60
2 changed files with 83 additions and 1 deletions

77
yelp-2.21.2-libxul.patch Normal file
View File

@ -0,0 +1,77 @@
diff -up yelp-2.21.2/configure.libxul yelp-2.21.2/configure
--- yelp-2.21.2/configure.libxul 2008-01-08 16:46:27.000000000 -0500
+++ yelp-2.21.2/configure 2008-01-08 16:47:38.000000000 -0500
@@ -27017,10 +27017,10 @@ seamonkey) gecko_cv_gecko_flavour=mozill
xulrunner) gecko_cv_gecko_flavour=toolkit ;;
esac
-_GECKO_INCLUDE_ROOT="`$PKG_CONFIG --variable=includedir ${gecko_cv_gecko}-xpcom`"
-_GECKO_LIBDIR="`$PKG_CONFIG --variable=libdir ${gecko_cv_gecko}-xpcom`"
-_GECKO_HOME="`$PKG_CONFIG --variable=libdir ${gecko_cv_gecko}-xpcom`"
-_GECKO_PREFIX="`$PKG_CONFIG --variable=prefix ${gecko_cv_gecko}-xpcom`"
+_GECKO_INCLUDE_ROOT="`$PKG_CONFIG --variable=includedir libxul`"
+_GECKO_LIBDIR="`$PKG_CONFIG --variable=libdir libxul`"
+_GECKO_HOME="`$PKG_CONFIG --variable=libdir libxul`"
+_GECKO_PREFIX="`$PKG_CONFIG --variable=prefix libxul`"
fi # if gecko_cv_have_gecko
@@ -27583,12 +27583,12 @@ if test -n "$PKG_CONFIG"; then
pkg_cv_MOZILLA_COMPONENT_CFLAGS="$MOZILLA_COMPONENT_CFLAGS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\${gecko_cv_gecko}-xpcom >= \$gecko_min_version \$gecko_cv_extra_pkg_dependencies\"") >&5
- ($PKG_CONFIG --exists --print-errors "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\libxul >= \$gecko_min_version \$gecko_cv_extra_pkg_dependencies\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_MOZILLA_COMPONENT_CFLAGS=`$PKG_CONFIG --cflags "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies" 2>/dev/null`
+ pkg_cv_MOZILLA_COMPONENT_CFLAGS=`$PKG_CONFIG --cflags "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -27601,12 +27601,12 @@ if test -n "$PKG_CONFIG"; then
pkg_cv_MOZILLA_COMPONENT_LIBS="$MOZILLA_COMPONENT_LIBS"
else
if test -n "$PKG_CONFIG" && \
- { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\${gecko_cv_gecko}-xpcom >= \$gecko_min_version \$gecko_cv_extra_pkg_dependencies\"") >&5
- ($PKG_CONFIG --exists --print-errors "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies") 2>&5
+ { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"\libxul >= \$gecko_min_version \$gecko_cv_extra_pkg_dependencies\"") >&5
+ ($PKG_CONFIG --exists --print-errors "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies") 2>&5
ac_status=$?
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); }; then
- pkg_cv_MOZILLA_COMPONENT_LIBS=`$PKG_CONFIG --libs "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies" 2>/dev/null`
+ pkg_cv_MOZILLA_COMPONENT_LIBS=`$PKG_CONFIG --libs "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies" 2>/dev/null`
else
pkg_failed=yes
fi
@@ -27625,14 +27625,14 @@ else
_pkg_short_errors_supported=no
fi
if test $_pkg_short_errors_supported = yes; then
- MOZILLA_COMPONENT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies"`
+ MOZILLA_COMPONENT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies"`
else
- MOZILLA_COMPONENT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies"`
+ MOZILLA_COMPONENT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies"`
fi
# Put the nasty error message in config.log where it belongs
echo "$MOZILLA_COMPONENT_PKG_ERRORS" >&5
- { { echo "$as_me:$LINENO: error: Package requirements (${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies) were not met:
+ { { echo "$as_me:$LINENO: error: Package requirements (libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies) were not met:
$MOZILLA_COMPONENT_PKG_ERRORS
@@ -27643,7 +27643,7 @@ Alternatively, you may set the environme
and MOZILLA_COMPONENT_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
" >&5
-echo "$as_me: error: Package requirements (${gecko_cv_gecko}-xpcom >= $gecko_min_version $gecko_cv_extra_pkg_dependencies) were not met:
+echo "$as_me: error: Package requirements (libxul >= $gecko_min_version $gecko_cv_extra_pkg_dependencies) were not met:
$MOZILLA_COMPONENT_PKG_ERRORS

View File

@ -20,7 +20,7 @@
Summary: A system documentation reader from the Gnome project
Name: yelp
Version: 2.21.2
Release: 1%{?dist}
Release: 2%{?dist}
Source: http://ftp.gnome.org/pub/GNOME/sources/yelp/2.21/%{name}-%{version}.tar.bz2
URL: http://live.gnome.org/Yelp
# http://bugzilla.gnome.org/show_bug.cgi?id=319096
@ -32,6 +32,7 @@ Patch6: hp.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=499744
Patch7: yelp-2.20.0-xulrunner.patch
Patch8: yelp-2.20.0-xulrunner2.patch
Patch9: yelp-2.21.2-libxul.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=431077
# XXX Does this no longer apply to yelp >= 2.19.1 ?
@ -93,6 +94,7 @@ one central tool.
%patch6 -p1 -b .hp
%patch7 -p1 -b .xl
%patch8 -p1 -b .xl2
%patch9 -p1 -b .libxul
%build
@ -157,6 +159,9 @@ update-desktop-database &> /dev/null ||:
%{_datadir}/yelp
%changelog
* Tue Jan 08 2008 Matthew Barnes <mbarnes@redhat.com> - 2.21.2-2
- Look for new-style xulrunner pkg-config files.
* Tue Jan 08 2008 - Bastien Nocera <bnocera@redhat.com> - 2.21.2-1
- Update to 2.21.2